toplevel_expect_test

AuthorJane Street Group, LLC <opensource@janestreet.com>
LicenseApache-2.0
Homepagehttps://github.com/janestreet/toplevel_expect_test
Issue Trackerhttps://github.com/janestreet/toplevel_expect_test/issues
Maintaineropensource@janestreet.com
Dependencies
&base-threads
core_kernel>= v0.10&v0.11
jbuilder>= 1.0+beta12
mlt_parser>= v0.10&v0.11
ocaml-compiler-libs>= v0.10&v0.11
ocaml-migrate-parsetree>= 0.4
ocamlfind>= 1.7.2
ppx_core>= v0.10&v0.11
ppx_driver>= v0.10&v0.11
ppx_expect>= v0.10&v0.11
ppx_here>= v0.10&v0.11
ppx_jane>= v0.10&v0.11
Availableocaml-version >= "4.04.1"
PublishedJan 2, 2018
Source [http] https://ocaml.janestreet.com/ocaml-core/v0.10/files/toplevel_expect_test-v0.10.0.tar.gz
23f0131f1cf1aef7e188916519bf33dd
StatisticsNot installed in the last month.
Edithttps://github.com/ocaml/opam-repository/tree/master/packages/toplevel_expect_test/toplevel_expect_test.v0.10.0/opam

Expectation tests for the OCaml toplevel

Allows one to write both toplevel phrases and the expected output from the toplevel in the same file. This provides an easy way to test compilations errors as well as provide a nice alternative to using the toplevel in a terminal.

Necessary for
jane-street-tests